#include <iostream>
int main() {
    unsigned long long int x, y, d = 1, jx, jy;
    unsigned long long int r=0;
    std::cin >> x >> y;
    while(x || y) {
        jx = x % 10; jy = y % 10;
        if(jx > jy)
            r += jx * d;
        else{
            r += jy * d;
            if(jx == jy && x > 0 && y > 0) {
                d *= 10;
                r += jy * d;
            }
        }
        d *= 10; x /= 10; y /= 10;
    }
    std::cout << r;
}